set terminal pslatex norotate
set grid xtics 0
set grid mxtics 0
set grid ytics 0
set grid mytics 0
set grid lw 0.75
set border
set xtics 40
set mytics 2
set samples 2500
set xzeroaxis 1
set yzeroaxis 1
set pointsize 1.5 
set nokey
set size 1.6,1.8


###############################################################################

set output "graphs/ba.tex"
set xrange [0.08:25]
set logscale x
set yrange [1:4.75]
set xlabel '$f$ [kHz]' 50,0
set ylabel '$L$ [mH]' -1,34
set ytics 0.5
set mytics 2
set xtics auto
set mxtics 10

plot	"graphs/ba.val" using 1:2 smooth csplines with lines -1, \
	"graphs/ba.val" using 1:2 with points 1

set nologscale x

###############################################################################

set output "graphs/bb.tex"
set xrange [0:120]
set yrange [1.2:2.4]
#set autoscale
set xlabel '$l$ [mm]' 50,0
set ylabel '$L$ [mH]' -2,34
set ytics 0.1
set mytics 2
set xtics 10
set mxtics 2


plot	"graphs/bb.val" using 1:2 smooth csplines with lines -1, \
	"graphs/bb.val" every ::2 using 1:2 with points 1

###############################################################################

set output "graphs/d.tex"
set autoscale
#set xrange [-1:15]
set yrange [0:10]
set xlabel '$I_2$ [mA]' 50,0
set label '$P_1$ [W]' at -50,10
set label '$P_2$ [W]' at -50,9.60
set label '$P_Z$ [W]' at -50,9.20
set label '$\eta$ [10\%]' at -50,8.8
set label '$S_1$ [VA]' at -50,8.4
set label '$Q_1$ [W]' at -50,8
set ylabel '' -2,34
set ytics 1
set mytics 2
set xtics 50
set mxtics 2
set label '$P_1$'  at 410,5.112
set label '$P_2$'  at 410,4.557
set label '$P_Z$'  at 410,0.555
set label '$\eta$' at 410,8.9146
set label '$S_1$'  at 410,6.106
set label '$Q_1$'  at 410,3.340

plot "graphs/d.val" using 5:7 smooth csplines with lines -1,\
	"graphs/d.val" using 5:7 with points 1,\
	"graphs/d.val" using 5:8 smooth csplines with lines -1,\
	"graphs/d.val" using 5:8 with points 1,\
	"graphs/d.val" using 5:9 smooth csplines with lines -1,\
	"graphs/d.val" using 5:9 with points 1,\
	"graphs/d.val" using 5:10 smooth csplines with lines -1,\
	"graphs/d.val" using 5:10 with points 1,\
	"graphs/d.val" using 5:11 smooth csplines with lines -1,\
	"graphs/d.val" using 5:11 with points 1,\
	"graphs/d.val" using 5:12 smooth csplines with lines -1,\
	"graphs/d.val" using 5:12 with points 1

set nolabel


###############################################################################

set output "graphs/e.tex"
set size square
set size 1.4
#set grid lw 0.25
#set autoscale
set polar
set angles degrees
set xrange [-1:15]
set yrange [-1:15]
set xlabel 'Re' 26,0
set ylabel 'Im' -0.5,25
set ytics auto
set mytics 2
set xtics auto
set mxtics 2

set arrow from 0,0 to 0,13.89 lt 1 lw 2
set arrow from 0,0 to 9.449,0 lt 1 lw 2
set arrow from 0,13.89 to 9.449,13.89 nohead lt 2 lw 1.5
set arrow from 9.449,0 to 9.449,13.89 nohead lt 2 lw 1.5
set arrow from 0,0 to 9.449,13.89 lt 1 lw 2
set label '$X_L$' at 0.3,10.5
set label '$R_{SS}$' at 6.2,0.5
set label '$Z$' at 6.2,8.5
set label '$\delta$' at 0.5,2.1
plot [50:95] 1.75

###############################################################################

# Vyneseni 2 bodu
#set arrow from 2.75,0 to 2.75,37 nohead lt 2 lw 1
#set arrow from 0,36.25 to 2.8,36.25 nohead lt 2 lw 1
#set arrow from 2.25,0 to 2.25,34 nohead lt 2 lw 1
#set arrow from 0,33.2 to 2.3,33.2 nohead lt 2 lw 1
# secna
#set arrow from 0.25,21.3 to 4.5,46.8 nohead lt 1 lw 1
#popisek u prac. bodu.
#set label '\footnotesize{\sf{P[2{,}5; 34{,}7]}}' at 3.075,30.9
#set arrow from 3.05,31 to 2.52,34.4
#set label '\footnotesize{\sf{A[2{,}25; 33{,}2]}}' at 1.58,34.2
#set label '\footnotesize{\sf{B[2{,}75; 36{,}25]}}' at 2.775,35.25

#set nolabel
#set noarrow
